Package org.postgresql.sspi

# Class NTDSAPIWrapper

java.lang.Object
org.postgresql.sspi.NTDSAPIWrapper

public class NTDSAPIWrapper extends Object

## Constructor Summary

Constructors
Constructor
Description
`NTDSAPIWrapper()`

## Method Summary

Modifier and Type
Method
Description
`String`
`DsMakeSpn(String serviceClass, String serviceName, @Nullable String instanceName, short instancePort, @Nullable String referrer)`
Convenience wrapper for NTDSAPI DsMakeSpn with Java friendly string and exception handling.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NTDSAPIWrapper

public NTDSAPIWrapper()

## Method Details

### DsMakeSpn

public String DsMakeSpn(String serviceClass, String serviceName, @Nullable String instanceName, short instancePort, @Nullable String referrer) throws com.sun.jna.LastErrorException
Convenience wrapper for NTDSAPI DsMakeSpn with Java friendly string and exception handling.

Parameters:
  `serviceClass` - See MSDN
  `serviceName` - See MSDN
  `instanceName` - See MSDN
  `instancePort` - See MSDN
  `referrer` - See MSDN
Returns:
  SPN generated
Throws:
  `com.sun.jna.LastErrorException` - If buffer too small or parameter incorrect
See Also:
  - https://msdn.microsoft.com/en-us/library/ms676007(v=vs.85).aspx